summaryrefslogtreecommitdiffstats
path: root/etc/pbuilder/rebuild-hooks/D01_modify_environment
diff options
context:
space:
mode:
Diffstat (limited to 'etc/pbuilder/rebuild-hooks/D01_modify_environment')
-rwxr-xr-xetc/pbuilder/rebuild-hooks/D01_modify_environment12
1 files changed, 12 insertions, 0 deletions
diff --git a/etc/pbuilder/rebuild-hooks/D01_modify_environment b/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..521359f6
--- /dev/null
+++ b/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+umask 0026